﻿CREATE TABLE [dbo].[AviraUser] (
    [Id]                          UNIQUEIDENTIFIER NOT NULL,
    [FirstName]                   NVARCHAR (64)    NOT NULL,
    [LastName]                    NVARCHAR (64)    NOT NULL,
    [UserName]                    NVARCHAR (50)    NOT NULL,
    [DisplayName]                 NVARCHAR (128)   NOT NULL,
    [EmailAddress]                NVARCHAR (128)   NULL,
    [PhoneNumber]                 NVARCHAR (64)    NULL,
    [UserTypeId]                  TINYINT          NOT NULL,
    [PassWord]                    NVARCHAR (500)   DEFAULT ('') NOT NULL,
    [CustomerId]                  UNIQUEIDENTIFIER NULL,
    [IsEverLoggedIn]              BIT              NULL,
    [LastLoggedOn]                DATETIME2 (7)    NULL,
    [UserRoleId]                  UNIQUEIDENTIFIER NULL,
    [Salt]                        NVARCHAR (128)   NULL,
    [CreatedOn]                   DATETIME2 (7)    NULL,
    [UserCreatedById]             UNIQUEIDENTIFIER NULL,
    [ModifiedOn]                  DATETIME2 (7)    NULL,
    [UserModifiedById]            UNIQUEIDENTIFIER NULL,
    [IsDeleted]                   BIT              CONSTRAINT [DF_AviraUser_IsDeleted] DEFAULT ((0)) NOT NULL,
    [DeletedOn]                   DATETIME2 (7)    NULL,
    [UserDeletedById]             UNIQUEIDENTIFIER NULL,
    [ConcurrentLoginFailureCount] TINYINT          NULL,
    [IsUserLocked]                BIT              CONSTRAINT [DF_AviraUser_IsUserLocked] DEFAULT ((0)) NOT NULL,
    [DateofJoining]               DATETIME         NULL,
    [LocationID]                  UNIQUEIDENTIFIER NULL,
    [ResetPasswordLinkCreatedOn]  DATETIME2 (7)    NULL,
    [ResetPasswordSalt]           NVARCHAR (128)   NULL,
    CONSTRAINT [PK_AviraUser] PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [FK_AviraUser_Customer] FOREIGN KEY ([CustomerId]) REFERENCES [dbo].[Customer] ([Id]),
    CONSTRAINT [FK_AviraUser_Location] FOREIGN KEY ([LocationID]) REFERENCES [dbo].[Location] ([Id]),
    CONSTRAINT [FK_AviraUser_UserRole] FOREIGN KEY ([UserRoleId]) REFERENCES [dbo].[UserRole] ([Id]),
    UNIQUE NONCLUSTERED ([UserName] ASC)
);



